#!/usr/bin/env ruby
# encoding: utf-8

ORIGINAL_PATH = "usb_hub-dfp1.sch"
ORIGINAL_FILE = IO.read(ORIGINAL_PATH)
(2..7).to_a.each do |number|
  number = number.to_s
  output = ORIGINAL_FILE.dup
  output.gsub!(/netname=(.*)1/, "netname=" + '\1' + number)
  output.gsub!(/refdes=(.*)10/, "refdes=" + '\1' + number + "0")
  output.gsub!(/ - DFP1/, " - DFP" + number)
  File.open("#{ORIGINAL_PATH.gsub('1', number)}", "w") do |file|
    file.write output
  end
end
